﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ButtonsExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        MainViewModel vm = new MainViewModel();
        
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            vm.MyProperty = false;
        }

        private void RadButton_Click_1(object sender, RoutedEventArgs e)
        {
            vm.MyProperty = true;
        }
    }

    public class MainViewModel : ViewModelBase
    {

        private bool myProperty;
        public bool MyProperty
        {
            get { return myProperty; }
            set
            {
                myProperty = value;
                OnPropertyChanged("MyProperty");
            }
        }

        public MainViewModel()
        {
            this.myProperty = true;
        }
    }

    public class IsCheckedConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var conVelue = (bool)value;
            return !conVelue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var conVelue = (bool)value;
            return !conVelue;
        }
    }
}
